<?php

/*
  Plugin Name: Newsletter - Elastic Email
  Plugin URI: https://www.thenewsletterplugin.com/documentation/addons/delivery-addons/elasticemail-extension/
  Description: Integrates Newsletter with Elastc Email service. Automatic updates available the license key is set on Newsletter main settings panel.
  Version: 1.2.0
  Requires PHP: 7.4
  Requires at least: 5.1
  Author: The Newsletter Team
  Author URI: https://www.thenewsletterplugin.com
  Disclaimer: Use at your own risk. No warranty expressed or implied is provided.

 */

add_action('newsletter_loaded', function ($version) {
    if (version_compare($version, '8.1.2') < 0) {
        add_action('admin_notices', function () {
            echo '<div class="notice notice-error"><p>Newsletter plugin upgrade required by <strong>Newsletter - ElasticEmail Addon</strong>.</p></div>';
        });
    } else {
        require_once __DIR__ . '/plugin.php';
        new NewsletterElasticEmail('1.2.0');
    }
});


